
Foreman - Feature #4938

add dropdown to select public or private interface in rackspace environment

03/28/2014 04:26 PM - Anonymous

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - Rackspace   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.4.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

rackspace environments with rackconnect have issues with foreman provisioning since the public IP is torn down on initial provision

of instance. This causes using foreman against this environment to fail since the public IP address is no longer reachable. If running

the foreman instance from within the environment , as is the case in our environment,

A workaround is to edit rackspace.rb line 8

-      super.merge({ :ip => :public_ip_address })

+       super.merge({ :ip => :private_ip_address })

After speaking with IRC folks (thanks Dominic), It was suggested that requesting the feature to add a dropdown option for the

network tab so that in rackspace environments this can be an option would be desirable. Please let me know how I can help get this

feature added.

History

#1 - 03/28/2014 04:27 PM - Anonymous

Sorry can this be retagged as feature request not bug.

#2 - 03/31/2014 09:45 AM - Benjamin Papillon

- Tracker changed from Bug to Feature

Retagging is done.

#3 - 09/26/2014 07:22 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - Rackspace
